package de.theserverside.webservice.service;

import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;

@WebService
@SOAPBinding(style=Style.RPC)

/**
 * Addiert zwei Werte miteinander und stellt diese Funktionalitt als
 * WebService bereit.
 * 
 * @author Rias A. Sherzad (rias@sherzad.com)
 */
public class Calculator {

	/**
	 * Liefert die Summe zweier Werte zurck.
	 * 
	 * @param val1 Der erste Summand
	 * @param val2 Der zweite Summand
	 * @return Die Summe der beiden Summanden
	 */
	public long addValues(int val1, int val2) {
		return val1 + val2;
	}
}
